Get registration pass code
POST
/api/registration/registration-code
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.eventpoint.io/api/registration/registration-code"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"eventId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"projectId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"personId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"passCode\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/registration/registration-code';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"eventId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","projectId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","personId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","passCode":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.eventpoint.io/api/registration/registration-code \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "passCode": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”The request details.
object
eventId
null | string format: uuid
projectId
null | string format: uuid
personId
string format: uuid
passCode
null | string
Examplegenerated
{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "passCode": "example"}object
eventId
null | string format: uuid
projectId
null | string format: uuid
personId
string format: uuid
passCode
null | string
Examplegenerated
{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "passCode": "example"}object
eventId
null | string format: uuid
projectId
null | string format: uuid
personId
string format: uuid
passCode
null | string
Examplegenerated
{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "passCode": "example"}Responses
Section titled “Responses”OK
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
name
null | string
description
null | string
passcode
null | string
emailAddresses
null | string
discountAmount
null | integer | string format: int32
discountPercent
null | number | string format: double
quantity
null | integer | string format: int32
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
isExpired
boolean
isAvailable
boolean
openDate
null | string format: date-time
closeDate
null | string format: date-time
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
name
null | string
description
null | string
passcode
null | string
emailAddresses
null | string
discountAmount
null | integer | string format: int32
discountPercent
null | number | string format: double
quantity
null | integer | string format: int32
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
isExpired
boolean
isAvailable
boolean
openDate
null | string format: date-time
closeDate
null | string format: date-time
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "etag": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "registrationTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "passcode": "example", "emailAddresses": "example", "discountAmount": 1, "discountPercent": 1, "quantity": 1, "numberReserved": 1, "numberRemaining": 1, "numberUsed": 1, "isExpired": true, "isAvailable": true, "openDate": "2026-04-15T12:00:00Z", "closeDate": "2026-04-15T12:00:00Z"}object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
name
null | string
description
null | string
passcode
null | string
emailAddresses
null | string
discountAmount
null | integer | string format: int32
discountPercent
null | number | string format: double
quantity
null | integer | string format: int32
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
isExpired
boolean
isAvailable
boolean
openDate
null | string format: date-time
closeDate
null | string format: date-time
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "etag": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "registrationTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "passcode": "example", "emailAddresses": "example", "discountAmount": 1, "discountPercent": 1, "quantity": 1, "numberReserved": 1, "numberRemaining": 1, "numberUsed": 1, "isExpired": true, "isAvailable": true, "openDate": "2026-04-15T12:00:00Z", "closeDate": "2026-04-15T12:00:00Z"}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}